"""
This module contains the definitions of the well-known Foxglove schemas for logging.

Log messages to a corresponding channel type from :py:mod:`foxglove.channels`.
"""

# Generated by https://github.com/foxglove/foxglove-sdk

from typing import Union

from foxglove._foxglove_py.schemas import (
    ArrowPrimitive,
    CameraCalibration,
    CircleAnnotation,
    Color,
    CompressedImage,
    CompressedVideo,
    CubePrimitive,
    CylinderPrimitive,
    Duration,
    FrameTransform,
    FrameTransforms,
    GeoJson,
    Grid,
    ImageAnnotations,
    KeyValuePair,
    LaserScan,
    LinePrimitive,
    LinePrimitiveLineType,
    LocationFix,
    LocationFixPositionCovarianceType,
    Log,
    LogLevel,
    ModelPrimitive,
    PackedElementField,
    PackedElementFieldNumericType,
    Point2,
    Point3,
    PointCloud,
    PointsAnnotation,
    PointsAnnotationType,
    Pose,
    PoseInFrame,
    PosesInFrame,
    Quaternion,
    RawImage,
    SceneEntity,
    SceneEntityDeletion,
    SceneEntityDeletionType,
    SceneUpdate,
    SpherePrimitive,
    TextAnnotation,
    TextPrimitive,
    Timestamp,
    TriangleListPrimitive,
    Vector2,
    Vector3,
)

FoxgloveSchema = Union[
    ArrowPrimitive,
    CameraCalibration,
    CircleAnnotation,
    Color,
    CompressedImage,
    CompressedVideo,
    CubePrimitive,
    CylinderPrimitive,
    FrameTransform,
    FrameTransforms,
    GeoJson,
    Grid,
    ImageAnnotations,
    KeyValuePair,
    LaserScan,
    LinePrimitive,
    LocationFix,
    Log,
    ModelPrimitive,
    PackedElementField,
    Point2,
    Point3,
    PointCloud,
    PointsAnnotation,
    Pose,
    PoseInFrame,
    PosesInFrame,
    Quaternion,
    RawImage,
    SceneEntity,
    SceneEntityDeletion,
    SceneUpdate,
    SpherePrimitive,
    TextAnnotation,
    TextPrimitive,
    TriangleListPrimitive,
    Vector2,
    Vector3,
]

__all__ = [
    "FoxgloveSchema",
    "ArrowPrimitive",
    "CameraCalibration",
    "CircleAnnotation",
    "Color",
    "CompressedImage",
    "CompressedVideo",
    "CubePrimitive",
    "CylinderPrimitive",
    "Duration",
    "FrameTransform",
    "FrameTransforms",
    "GeoJson",
    "Grid",
    "ImageAnnotations",
    "KeyValuePair",
    "LaserScan",
    "LinePrimitive",
    "LinePrimitiveLineType",
    "LocationFix",
    "LocationFixPositionCovarianceType",
    "Log",
    "LogLevel",
    "ModelPrimitive",
    "PackedElementField",
    "PackedElementFieldNumericType",
    "Point2",
    "Point3",
    "PointCloud",
    "PointsAnnotation",
    "PointsAnnotationType",
    "Pose",
    "PoseInFrame",
    "PosesInFrame",
    "Quaternion",
    "RawImage",
    "SceneEntity",
    "SceneEntityDeletion",
    "SceneEntityDeletionType",
    "SceneUpdate",
    "SpherePrimitive",
    "TextAnnotation",
    "TextPrimitive",
    "Timestamp",
    "TriangleListPrimitive",
    "Vector2",
    "Vector3",
]
